VUZDevelopers

List sales/documents generated from this payment page

GET
/payment-pages/{pageId}/sales
X-Api-Key<token>

Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.

In: header

Path Parameters

pageId*string

Response Body

application/json

curl -X GET "https://example.com/payment-pages/string/sales"
{  "items": [    {      "id": "string",      "saleUniqId": "string",      "kind": "one_time",      "status": "pending",      "amount": 0,      "currency": "string",      "customerName": "string",      "customerEmail": "string",      "createdAt": "2019-08-24T14:15:22Z",      "issuedDocumentId": "string",      "issuedDocumentNumber": "string",      "mandateId": "string",      "xOrderId": "string",      "documentStatus": "draft",      "allocationNumber": "string",      "metadata": {}    }  ],  "total": 0}